#!/bin/sh
#
# This file is part of Rheolef.
#
# Copyright (C) 2000-2009 Pierre Saramito 
#
# Rheolef is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Rheolef is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rheolef; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# -------------------------------------------------------------------------
TOP_SRCDIR=${TOP_SRCDIR-"../../../rheolef"}
SRCDIR=${SRCDIR-"$TOP_SRCDIR/main/tst"}
GEODIR=$SRCDIR
NPROC_MAX=${NPROC_MAX-"3"}
. "${TOP_SRCDIR}/config/loop_mpirun.sh"

status=0

tol="1e-7"

L="
line-3-bdry.geo		line-20-bdry.geo
carre-10-bdry-v2	carre-bamg-q-dom-v2 
cube-10-dom-v2          cube-P-5-dom-v2
cube-5-bdry-v2          cube-H-6-dom-v2.geo
cube-10-dom-v2		my_cube_TPH-5-v2
"
# TODO: nearest with distributed memory and 3D case:
L_TODO="
circle_p1-v2.geo        circle-10-fix-P1
"

while test "$L" != ""; do
  geo1=`echo $L | gawk '{print $1}'`
  geo2=`echo $L | gawk '{print $2}'`
  L=`echo $L | gawk '{for (i=3; i <= NF; i++) print $i}'`
  loop_mpirun "./field_reinterpolate_tst $GEODIR/$geo1 $GEODIR/$geo2 $tol >/dev/null 2>/dev/null"
  if test $? -ne 0; then status=1; fi
  # TODO: DVT_REINTERPOLATE_NON_SIMPLEX
  # loop_mpirun "./field_reinterpolate_tst $GEODIR/$geo2 $GEODIR/$geo1 $tol >/dev/null 2>/dev/null"
  # if test $? -ne 0; then status=1; fi
done

exit $status
