#!/bin/sh
#
# This file is part of Rheolef.
#
# Copyright (C) 2000-2009 Pierre Saramito 
#
# Rheolef is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Rheolef is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rheolef; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# -------------------------------------------------------------------------
TOP_SRCDIR=${TOP_SRCDIR-"../../../rheolef"}
SRCDIR=${SRCDIR-"$TOP_SRCDIR/main/tst"}
GEODIR=${SRCDIR}
NPROC_MAX=${NPROC_MAX-"2"}
. "${TOP_SRCDIR}/config/loop_mpirun.sh"

status=0

#echo "    no yet (skipped)"
#exit 0

L="
triangle2_p1-v2
quadrangle_p1-v2
carre-bamg-v2
carre-bamg-q-dom-v2
carre-tq-10-bdry-v2
"

for geo in $L; do
  for approx in P1 P2 P3; do
    loop_mpirun "./integrate_test_tst $GEODIR/$geo $approx >/dev/null 2>/dev/null "
    if test $? -ne 0; then status=1; fi
  done
done

exit $status
